
/* testing.css */

/* headers white */

.text-white .element-header {
    color: white;
}


/* top navigation */

/* navigation-inverse transition */
.bg-dark,.navbar-inverse,.navbar-inverse-transition,.navbar-inverse-transition.navbar-transition {
    --bs-bg-opacity: 1;
    /*
        background-color: rgba(var(--bs-dark-rgb),var(--bs-bg-opacity)) !important
    */
    background-color: var(--var-primary) !important
}



.bg-white, .navbar-default, .navbar-default-transition, .navbar-default-transition.navbar-transition {
    --bs-bg-opacity: 1;
    background-color: rgba(var(--var-primary), var(--bs-bg-opacity)) !important;
    color: white;
}
.navbar-default-transition.navbar-transition {
    --bs-bg-opacity: 1;
    background-color: #004422 !important;
}
.navbar-default-transition.navbar-transition a,
.navbar-default-transition.navbar-transition li,
.navbar-default-transition.navbar-transition p
{
    --bs-bg-opacity: 1;
    background-color: #004422 !important;
    color: white;
}

.navbar-nav .nav-link.active, .navbar-nav .nav-link.show {
    color: white;
}
.nav-link {
    color: white;
}
.nav-link :hover {
    color: white;
}





/* header h2*/
.frame .element-header  {
    color: #004422;
    font-weight: 600;
}
.frame-background-primary .element-header  {
    color: white;
    font-weight: 600;
}

.frame-default.frame-has-backgroundimage {
    /* Inner 2col */
}

/* 2col frames mit grünem BORDER TOP */
.frame-type-ce_columns2.frame-background-primary {
    border: 0px solid blue;
    border-top: 200px solid var(--var-primary);
}
.row-top-green {
    margin-top: -200px;
}

/* 2col frames OHNE BORDER TOP GRÜN*/
.frame-type-ce_columns2.frame-background-secondary {
    border: 0px solid blue;
    border-top: 0px solid red;
}



.col-top-green-text.left .frame {

}

.col-top-green-text.right .frame {
    margin-top: 0rem;
    padding-top: 0rem;
}


.image {

    /*    border: 1px solid red; */

}

/* Kontak Bilder */

.gallery-row {
    justify-content: center;
}

/* Kontakt Icons */
.row-has-icons .gallery-row .image img {
    height: 100px;
    width: auto;
    border: 0px solid green;
}
/* Text unter den Kontakt 3 Icons etwas höher*/
.row-has-icons .textpic-item.textpic-text {
    border: 0px solid red;
    margin-top: -1rem;
}




/* Spacer */

.frame-type-div hr {
    opacity: 0.0;
}



/* Abstämnde der Texte */
.frame-header p {
    margin-bottom: 0.0rem;
}
.frame-header h1,h2,h3,h4,h5 {
    margin-bottom: 0.5rem;
}
.frame-default p {
    margin-bottom: 0.5rem;
}
/* Startseite 3col Mieten - Kaufen - Rundumservice Pullup */

.pullup-to-header {
    margin-top: calc(-25vh + 1.75rem);
}


/* Buttons in frame-type-text */

.btn-outline-primary {
    border-radius: 0px;
}

/* Buttons in dunkel grünem Balken */

/* HIER */
.frame-background-dark .btn.btn-outline-primary {
    border-color: white;
    color: white;
}


/* Neue List style iacons */

.list-normal li {
    list-style: none;
    background-image: url('/fileadmin/user_upload/Seite/Icon/Hacken.svg');
    /*background-image: url('/fileadmin/user_upload/Seite/Icon/Hacken.png');*/
    background-position: left;
    background-repeat: no-repeat;
    background-size: 1rem;
    padding-left: 1.25rem;
    margin-top: 0px;
    padding-top: 4px;
}

.frame-has-backgroundimage .frame-background-none .list-normal li {
    list-style: none;
    background-image: url('/fileadmin/user_upload/Seite/Icon/Hacken.svg');
    /*background-image: url('/fileadmin/user_upload/Seite/Icon/Hacken.png');*/
    background-position: left;
    background-repeat: no-repeat;
    background-size: 1rem;
    padding-left: 1.25rem;
    margin-top: 0px;
    padding-top: 4px;
}

.frame-background-dark .frame-background-none  .list-normal li {
    list-style: none;
    background-image: url('/fileadmin/user_upload/Seite/Icon/Hacken.svg');
    /*background-image: url('/fileadmin/user_upload/Seite/Icon/Hacken.png');*/
    background-position: left;
    background-repeat: no-repeat;
    background-size: 1rem;
    padding-left: 1.25rem;
    margin-top: 0px;
    padding-top: 4px;
}


/* Haken auf weissem Hintergrund */

.frame-background-none .list-normal li {
    list-style: none;
    background-image: url('/fileadmin/user_upload/Seite/Icon/Hacken_green.svg');
    /*background-image: url('/fileadmin/user_upload/Seite/Icon/Hacken.png');*/
    background-position: left;
    background-repeat: no-repeat;
    background-size: 1rem;
    padding-left: 1.25rem;
    margin-top: 0px;
    padding-top: 4px;
}



/* Footer section */
.footer-section-content {
    background: var(--var-primary);
    --frame-color: var(--var-primary);
    --frame-background: var(--var-primary);
    --frame-link-color: white;
    --frame-link-hover-color: white;
}
.footer-section-content p {
    color: white;
    background: var(--var-primary);
}



/* Slick Slider für die Icnons Slider */

.slick-slide .gallery-item .gallery-item-size-1 {

}

.slick-slider .slick-active.slick-current .image  {
    /*
    border:11px solid blue;
    */
}




/* KLink ohne text-decoration */
.frame a {
    text-decoration: none;
}

/* Top Navigation Socials Text weg*/
#nav-item-106 .nav-link-text {
    display: none;
}
#nav-item-106  .nav-link-icon {
}

.navbar-mainnavigation .nav-link-icon svg,.navbar-mainnavigation .nav-link-icon img {
    display: block;
    margin: 0;
    width: auto;
    height: 2rem;
    margin-top: -.25rem;
}

.footer-section-meta .frame {
    padding-top: 1rem;
    padding-bottom: 1rem;
    background: white !important;
}

.copyfootertext {
    border: 0px solid red;
    display: flex;
    background: white;
    color: var(--var-primary);
}
.copyfootertext a  {
    text-decoration: none;
    color: var(--var-primary);
    font-size: smaller;
}


/* Top Slider TExtgröße */

#carousel-224 .carousel-indicators { display: none; }

.carousel-text-inner .carousel-item-header  {
    font-size: 3rem;
    font-weight: 600;
}
.carousel-text-inner .carousel-item-subheader  {
    font-size: 3rem;
    font-weight: 600;
}

.carousel-text-inner .carousel-item-bodytext  {
    /* border: 1px solid white; */
    /* font-size: 1rem; */
    /* padding: 1rem; */
    /* padding-top: .5rem; */
    /* padding-bottom: .5rem; */
    /* padding-left: 1rem; */
    /* padding-right: 0rem; */
    /* width: 12rem; */
}
.carousel-text-inner .carousel-item-bodytext a {
    /* background-image: url('/fileadmin/user_upload/Seite/Icon/Hacken.svg'); */
    background-image: url('/fileadmin/user_upload/Seite/Icon/telephone_svg.svg');
    color: white;
    background-position: 10px;
    background-repeat: no-repeat;
    background-size: 1rem;
    padding-left: 2.25rem;
    margin-top: 0px;
    border: 1px solid white;
}

/* Slider Top mobild kleiner */
@media(max-width:768px) {
    .carousel-text-inner .carousel-item-header  {
        font-size: 3.5rem;
        font-weight: 600;
    }
    .carousel-text-inner .carousel-item-subheader  {
        font-size: 3.5rem;
        font-weight: 600;
    }
}
@media(max-width:568px) {
    .carousel-text-inner .carousel-item-header  {
        font-size: 2.5rem;
        font-weight: 600;
    }
    .carousel-text-inner .carousel-item-subheader  {
        font-size: 2.5rem;
        font-weight: 600;
    }
}

/* Preistabelle in das Maschinenbild einruecken */
@media(min-width: 768px) {
    .maschinen-tabelle .frame {
        position: relative;
        top: 2rem;
        left: -140px;
        /* border: 10px solid red; */
    }
}
@media(min-width: 992px) {
    .maschinen-tabelle .frame {
        position: relative;
        top: 3rem;
        left: -140px;
        /* border: 10px solid red; */
    }
}

/* li mobil */
@media(max-width:992px) {

    ol, ul {
        padding-left: 0rem;
    }



}


@media(max-width: 768px ) {
    .mobil-reverse {
        flex-direction: column-reverse;
        border: 0px solid red;

    }
}

/* Footer mobil */
@media(max-width:992px) {

    .footer-section .frame-type-div {
        display:none;
    }

}
